

// Vanilla Substitute 12.
// Outcome == Citation
// Model == Replication
// Subsetting == Exclude Gang Stops

set rmsg on

log using VanillaSubstitute12.log, replace

set memory 1g
set matsize 200, permanently
use "LAPDstata.dta", clear

destring AREA, replace
destring RD_NBR, replace

drop if OFFICER_TYPE == "gang"

drop if RD_NBR == 1494

drop if AREA == .

replace RACE = "other" if RACE == "amerindian"
replace RACE = "other" if RACE == "asian"

sort SERIAL_NUMBER
gen serialid = [_n]

by SERIAL_NUMBER: replace serialid = serialid[_n-1] if _n>1

char AREA[omit] "07"
char RACE[omit] "white"
char OFFICER_RACE[omit] "off_white"
char STOP_REASON[omit] "moving"
char OFFICER_TYPE[omit] "patrol"
char AGE_RNG[omit] "26-35"

xi i.RACE*i.AREA i.RACE*i.OFFICER_RACE i.STOP_REASON i.OFFICER_TYPE i.AGE_RNG

logit CIT_DUM /*
*/	_IRACE* _IAREA* _IRACXARE*     	/*	1.	Race/Area Interactions and Main Effects -
*/	_IOFFICER_R* _IRACXOFF*      	/*	2.	Race/Cop Race Interactions and Main Effects.-
*/	_ISTOP_REAS* 		/*	3.	Stop Reason dummy -
*/	NIGHT_DUM		/*	5.	Night dummy -
*/	GROUP			/*	6.	Group size number -
*/	INCIVIL			/*	7.	Count of Incivility stops in RD -
*/	PERCENT_BLACK		/*	8.
*/	PERCENT_HISPANIC	/*	9.	Percent Hispanic in RD -
*/	PERCENT_SINGLEPARENT	/*
*/	COMPLAINTS		/*	18.	Complaints against Officer-
*/	MJ_COMMEND		/*	19.	Major Commendations-
*/	_IOFFICER_T*	/*	24.	Officer Type dummies-
*/	_IAGE_RNG*   		/*	25.	Suspect Age Range dummies-
*/	PEDESTRIAN_DUM		/*	26.	Pedestrian Dummy-
*/	PASSENGER_DUM		/*	27.	Passenger Dummy-
*/	MALE_DUM		/*	28.	Gender Dummy-
 */ ,  vce(robust)
 
 estimates save VanillaSubstitute12
 save VanillaSubstitute12.dta
 log close