

// Vanilla Substitute 30.
// Outcome == Arrest
// Model == Exclude Officer Characteristics, Fixed Effects
// Subsetting == Exclude Gang Stops 

set rmsg on

log using VanillaSubstitute30.log, replace

set memory 1g

use "LAPDstata.dta", clear

destring AREA, replace
destring RD_NBR, replace

drop if OFFICER_TYPE =="gang"

drop if RD_NBR == 1494

drop if AREA == .

replace RACE = "other" if RACE == "amerindian"
replace RACE = "other" if RACE == "asian"

sort SERIAL_NUMBER
gen serialid = [_n]

by SERIAL_NUMBER: replace serialid = serialid[_n-1] if _n>1

char AREA[omit] "07"
char RACE[omit] "white"
char OFFICER_RACE[omit] "off_white"
char STOP_REASON[omit] "moving"
char OFFICER_TYPE[omit] "patrol"
char AGE_RNG[omit] "26-35"
set matsize 3000

replace CIT_DUM = 1 if ARST_DUM ==1

sort RD_NBR
xi i.RACE*i.AREA i.RACE*i.OFFICER_RACE i.STOP_REASON i.OFFICER_TYPE i.AGE_RNG i.RD_NBR

logit CIT_DUM /*
*/ _IRACE* _IRACXARE* _IRD*	 /*	
*/ _ISTOP_REAS* 			/*
*/ _IAGE_RNG* 	/*
*/ WEEKEND_DUM /*
*/ NIGHT_DUM /*
*/ PEDESTRIAN_DUM /*
*/ PASSENGER_DUM /*
*/ MALE_DUM /*
*/ GROUP /*
 */ ,  vce(robust)
 
 estimates save VanillaSubstitute30
 save VanillaSubstitute30.dta
 log close